%global gem_name ci_reporter

%if 0%{?rhel} <= 6 && 0%{?fedora} <= 16
%global gem_dir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version}
%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
%global gem_libdir %{gem_instdir}/lib
%global gem_cache %{gem_dir}/cache
%global gem_spec %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
%endif #end rhel <= 6 && fedora <= 16

Summary:       Generate XML for continuous integration systems
Name:          rubygem-%{gem_name}
Version:       1.8.2
Release:       3%{dist}
License:       MIT
URL:           http://caldersphere.rubyforge.org/ci_reporter
Source0:       http://rubygems.org/downloads/%{gem_name}-%{version}.gem
Requires:      ruby 
Requires:      rubygems >= 1.3.7
Requires:      rubygem(builder)
%if 0%{?fedora} >= 17
BuildRequires: rubygems-devel
%endif
BuildRequires: ruby 
BuildRequires: rubygems >= 1.3.7
# For tests
BuildRequires: rubygem(bundler)
BuildRequires: rubygem(cucumber)
BuildRequires: rubygem(hoe)
BuildRequires: rubygem(minitest)
BuildRequires: rubygem(rdoc)
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(rubyforge)
BuildRequires: rubygem(test-unit)
BuildArch:     noarch
Provides:      rubygem(ci_reporter) = %{version}

%description
CI::Reporter is an add-on to Test::Unit, RSpec and Cucumber that allows you to
generate XML reports of your test, spec and/or feature runs. The resulting
files can be read by a continuous integration system that understands Ant's
JUnit report XML format, thus allowing your CI system to track test/spec
successes and failures.

%package doc
Summary:   Documentation for %{name}
Group:     Documentation
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

# Fix our tests, Fedoras current version
#   of test-unit (2.4.5) doesn't work with them.
sed -i -e "s|^require File.dirname|require 'test/unit/diff'\nrequire File.dirname|" spec/ci/reporter/*_spec.rb

%build
mkdir -p ./%{gem_dir}
gem build %{gem_name}.gemspec

gem install -V \
        --local \
        --install-dir ./%{gem_dir} \
        --force \
        --rdoc \
        %{gem_name}-%{version}.gem

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

# Cleanup
rm -f %{buildroot}%{gem_instdir}/.gemtest
rm -f %{buildroot}%{gem_instdir}/.travis.yml
rm -f %{buildroot}%{gem_instdir}/.yardopts
rm -rf %{buildroot}%{gem_instdir}/.yardoc
rm -f %{buildroot}%{gem_instdir}/Gemfile
rm -f %{buildroot}%{gem_instdir}/Gemfile.lock
rm -f %{buildroot}%{gem_instdir}/ci_reporter.gemspec

%check
# Only run the check on Fedora <= 18 (not rawhide)
#  There is currently a bug (#885822) that prevents
#  the tests from being run.  When that bug is fixed
#  the tests can be run on F19+ again.
%if 0%{?fedora} <= 18
pushd %{buildroot}%{gem_instdir}
/usr/bin/ruby -S rspec \
    ./spec/ci/reporter/*_spec.rb
popd
%endif #end rhel <= 6 && fedora <= 18

%files
%doc %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/Manifest.txt
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/acceptance
%{gem_instdir}/spec
%{gem_instdir}/tasks
%{gem_instdir}/Rakefile
%{gem_instdir}/stub.rake

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 10 2012 Troy Dawson <tdawson@redhat.com> 1.8.2-2
- Tests only run on F18-, due to a bug in cucumber

* Thu Dec 06 2012 Troy Dawson <tdawson@redhat.com> 1.8.2-1
- Updated to 1.8.2
- Fixed tests so they work with our version of test-unit

* Fri Nov 30 2012 Troy Dawson <tdawson@redhat.com> 1.8.0-1
- Updated to 1.8.0
- Added test, and dependancies for test

* Wed Nov 28 2012 Troy Dawson <tdawson@redhat.com> 1.7.3-2
- Created a doc subpackage
- Fix dependancies
- Spec file cleanup

* Mon Nov 19 2012 Troy Dawson <tdawson@redhat.com> 1.7.3-1
- Initial spec file

